E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - r -

- rawOutput() : G::LogOutput
- read() : G::ReadWrite , GNet::DatagramSocket , GNet::Socket , GNet::Socks , GNet::StreamSocket , GSsl::MbedTls::ProtocolImp , GSsl::OpenSSL::ProtocolImp , GSsl::Protocol , GSsl::ProtocolImpBase
- readAll() : G::DirectoryList
- readEnvelope() : GSmtp::StoredFile
- readEvent() : GNet::EventHandler , GNet::Server , GNet::ServerPeer , GNet::SimpleClient , GNet::SocketProtocol
- readfrom() : GNet::DatagramSocket
- readLineFrom() : G::Str
- readType() : G::DirectoryList
- real() : G::Identity , GSsl::Library
- reason() : GNet::ResolverFuture , GNet::Socket , GSmtp::ExecutableFilter , GSmtp::Filter , GSmtp::NetworkFilter , GSmtp::NullFilter , GSmtp::SpamFilter
- received() : GSmtp::ServerProtocolText
- receivedLine() : GSmtp::ServerProtocolText
- recv() : G::Msg
- recvfrom() : G::Msg
- refreshCredentials() : G::Pam
- register_() : G::LogOutput
- reinitialiseCredentials() : G::Pam
- release() : GNet::ClientPtr< T >
- reload() : G::GetOpt
- remoteLocation() : GNet::SimpleClient
- remoteRecipientCount() : GSmtp::StoredFile , GSmtp::StoredMessage
- remove() : G::Arg , G::File , G::MapFile , GNet::EventHandlerList , GNet::TimerList , GPop::StoreLock
- removeAll() : G::Str
- removeAt() : G::Arg
- removeClient() : GNet::Monitor
- removeServerPeer() : GNet::Monitor
- rename() : G::File
- reparse() : G::Arg
- replace() : G::Str
- replaceAll() : G::Str
- report() : GNet::EventLoop , GNet::Monitor , GNet::TimerList , GPop::Server , GSmtp::AdminServer , GSmtp::Server
- request() : GSmtp::RequestClient , GSmtp::SpamClient
- RequestClient() : GSmtp::RequestClient
- requiresEncryption() : GAuth::SaslServer , GAuth::SaslServerBasic , GAuth::SaslServerPam
- rescan() : GSmtp::FileStore , GSmtp::MessageStore
- reset() : G::StateMachine< T, State, Event, Arg > , GNet::ClientPtr< T > , GNet::ServerPeerHandle , GSmtp::ProtocolMessage , GSmtp::ProtocolMessageForward , GSmtp::ProtocolMessageStore
- resetForExit() : GNet::ClientPtr< T >
- resolve() : GNet::Resolver
- resolved() : GNet::Location
- Resolver() : GNet::Resolver
- ResolverFuture() : GNet::ResolverFuture
- resolveTrivially() : GNet::Location
- response() : GAuth::Cram , GAuth::SaslClient , GSmtp::ExecutableFilter , GSmtp::Filter , GSmtp::NetworkFilter , GSmtp::NullFilter , GSmtp::SpamFilter
- resume() : GPop::ServerProtocol
- rollback() : GPop::StoreLock
- root() : G::Identity
- Root() : G::Root
- run() : G::NewProcessWaitFuture , GNet::EventLoop , GNet::ResolverFuture
- running() : GNet::EventLoop